/*******************************************************************************
 * Copyright (c) 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.wst.html.core;

import org.eclipse.core.runtime.IProduct;
import org.eclipse.core.runtime.Platform;
import org.eclipse.wst.sse.core.preferences.CommonModelPreferenceNames;

/**
 * Additional preferences for new HTML Files generation
 */
public interface HTMLFilesPreferenceNames extends CommonModelPreferenceNames {

	static final String DEFAULT_SUFFIX = "defaultSuffix";//$NON-NLS-1$
	static final String HTML_SUFFIX = "html";//$NON-NLS-1$
	static final String GENERATE_DOCUMENT_TYPE = "generateDocumentType";//$NON-NLS-1$
	static final String GENERATE_GENERATOR = "generateGenerator";//$NON-NLS-1$
	// added this as a potential why to handle changing
	// product names "up" the stack. Note, not declared final 
	// to avoid getting 'inlined' by compiler.
	static IProduct product = Platform.getProduct();
	static String GENERATOR = product.getName();
}